Bug 1032207 - (CVE-2013-6367) CVE-2013-6367 kvm: division by zero in apic_get_tmcct()
CVE-2013-6367 kvm: division by zero in apic_get_tmcct()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20131212,repo...
: Security
Depends On: 1032212 1032213 1032216 1032217 1042081 1042084 1052132
Blocks: 1030995
  Show dependency treegraph
 
Reported: 2013-11-19 12:34 EST by Petr Matousek
Modified: 2015-10-15 14:05 EDT (History)
23 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-12 14:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2013-11-19 12:34:02 EST
Under guest controllable circumstances apic_get_tmcct will execute a divide by zero.

A privileged guest user could use this flaw to crash the host.

Acknowledgements:

Red Hat would like to thank Andrew Honig of Google for reporting this issue
Comment 1 Petr Matousek 2013-11-19 12:44:14 EST
Statement:

This issue did not affect the versions of Linux kernel as shipped with Red Hat Enterprise MRG 2 as they did not provide support for the KVM subsystem.
Comment 6 errata-xmlrpc 2013-12-12 14:04:26 EST
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1802 https://rhn.redhat.com/errata/RHSA-2013-1802.html
Comment 7 errata-xmlrpc 2013-12-12 14:26:04 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1801 https://rhn.redhat.com/errata/RHSA-2013-1801.html
Comment 9 Petr Matousek 2013-12-12 15:53:30 EST
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1042081]
Comment 10 Fedora Update System 2013-12-20 21:14:35 EST
kernel-3.12.5-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2013-12-20 21:24:25 EST
kernel-3.12.5-302.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 errata-xmlrpc 2014-02-12 13:24:57 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2014:0163 https://rhn.redhat.com/errata/RHSA-2014-0163.html
Comment 14 errata-xmlrpc 2014-03-11 13:08:22 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:0284 https://rhn.redhat.com/errata/RHSA-2014-0284.html

Note You need to log in before you can comment on or make changes to this bug.